Private Endpoint Connections - Put
更新與金鑰保存庫相關聯的指定私人端點連線。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2024-11-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
private
|
path | True |
string |
與金鑰保存庫相關聯的私人端點連線名稱。 |
|
resource
|
path | True |
string |
包含金鑰保存庫的資源群組名稱。 |
|
subscription
|
path | True |
string |
可唯一識別Microsoft Azure 訂用帳戶的訂用帳戶認證。 訂用帳戶標識碼會形成每個服務呼叫 URI 的一部分。 |
|
vault
|
path | True |
string pattern: ^[a-zA-Z0-9-]{3,24}$ |
金鑰保存庫的名稱。 |
|
api-version
|
query | True |
string |
用戶端 API 版本。 |
要求本文
| 名稱 | 類型 | Description |
|---|---|---|
| etag |
string |
每當私人端點連線的狀態有所變更時,就會進行修改。 |
| properties.privateEndpoint |
私人端點對象的屬性。 |
|
| properties.privateLinkServiceConnectionState |
私人連結連線的核准狀態。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
私人端點連線的狀態已成功更新。 標題
|
|
| Other Status Codes |
說明作業為何失敗的錯誤回應。 |
範例
KeyVaultPutPrivateEndpointConnection
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/vaults/sample-vault/privateEndpointConnections/sample-pec?api-version=2024-11-01
{
"etag": "",
"properties": {
"privateLinkServiceConnectionState": {
"status": "Approved",
"description": "My name is Joe and I'm approving this."
}
}
}
範例回覆
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-group/providers/Microsoft.KeyVault/vaults/sample-vault/privateEndpointConnections/sample-pec",
"name": "sample-pec",
"type": "Microsoft.KeyVault/vaults/privateEndpointConnections",
"etag": "",
"properties": {
"provisioningState": "Succeeded",
"privateEndpoint": {
"id": "/subscriptions/00000000-0000-0000-1234-000000000000/resourceGroups/sample-group/providers/Microsoft.Network/privateEndpoints/sample-pe"
},
"privateLinkServiceConnectionState": {
"status": "Approved",
"description": "My name is Joe and I'm approving this.",
"actionsRequired": "None"
}
}
}
定義
| 名稱 | Description |
|---|---|
|
Actions |
訊息,指出服務提供者上的變更是否需要取用者的任何更新。 |
|
Cloud |
來自 Key Vault 資源提供者的錯誤回應 |
|
Cloud |
來自 Key Vault 資源提供者的錯誤回應 |
|
Private |
私人端點物件屬性。 |
|
Private |
私人端點連線資源。 |
|
Private |
目前的布建狀態。 |
|
Private |
私人端點連線狀態。 |
|
Private |
代表私人連結連線核准狀態的物件。 |
ActionsRequired
訊息,指出服務提供者上的變更是否需要取用者的任何更新。
| 值 | Description |
|---|---|
| None |
CloudError
來自 Key Vault 資源提供者的錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
來自 Key Vault 資源提供者的錯誤回應 |
CloudErrorBody
來自 Key Vault 資源提供者的錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 這是可以透過程式設計方式使用的助記詞。 |
| message |
string |
使用者友善的錯誤訊息。 訊息通常是本地化的,可能會因服務版本而異。 |
PrivateEndpoint
私人端點物件屬性。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
私人端點資源的完整標識碼。 |
PrivateEndpointConnection
私人端點連線資源。
| 名稱 | 類型 | Description |
|---|---|---|
| etag |
string |
每當私人端點連線的狀態有所變更時,就會進行修改。 |
| id |
string |
金鑰保存庫資源的完整識別碼。 |
| location |
string |
金鑰保存庫資源的 Azure 位置。 |
| name |
string |
金鑰保存庫資源的名稱。 |
| properties.privateEndpoint |
私人端點對象的屬性。 |
|
| properties.privateLinkServiceConnectionState |
私人連結連線的核准狀態。 |
|
| properties.provisioningState |
布建私人端點連線的狀態。 |
|
| tags |
object |
指派給金鑰保存庫資源的標籤。 |
| type |
string |
金鑰保存庫資源的資源類型。 |
PrivateEndpointConnectionProvisioningState
目前的布建狀態。
| 值 | Description |
|---|---|
| Succeeded | |
| Creating | |
| Updating | |
| Deleting | |
| Failed | |
| Disconnected |
PrivateEndpointServiceConnectionStatus
私人端點連線狀態。
| 值 | Description |
|---|---|
| Pending | |
| Approved | |
| Rejected | |
| Disconnected |
PrivateLinkServiceConnectionState
代表私人連結連線核准狀態的物件。
| 名稱 | 類型 | Description |
|---|---|---|
| actionsRequired |
訊息,指出服務提供者上的變更是否需要取用者的任何更新。 |
|
| description |
string |
核准或拒絕的原因。 |
| status |
指出金鑰保存庫擁有者是否已核准、拒絕或移除連線。 |